OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
orte_init.c File Reference
`#include "orte_config.h"`
`#include "orte/constants.h"`
`#include <sys/types.h>`
`#include "opal/util/error.h"`
`#include "opal/util/output.h"`
`#include "opal/runtime/opal.h"`
`#include "orte/util/show_help.h"`
`#include "orte/mca/ess/base/base.h"`
`#include "orte/mca/ess/ess.h"`
`#include "orte/mca/errmgr/errmgr.h"`
`#include "orte/util/proc_info.h"`
`#include "orte/util/error_strings.h"`
`#include "orte/runtime/runtime.h"`
`#include "orte/runtime/orte_globals.h"`
`#include "orte/runtime/orte_locks.h"`

## Functions
int | orte_init (int *pargc, char ***pargv, orte_proc_type_t flags)
| Initialize the Open Run Time Environment. More...

## Variables
bool | orte_initialized = false
| Whether ORTE is initialized or we are in orte_finalize.
bool | orte_finalizing = false
bool | orte_debug_flag = false
int | orte_debug_verbosity
char * | orte_prohibited_session_dirs = NULL
bool | orte_create_session_dirs = true
orte_process_name_t | orte_name_wildcard = {ORTE_JOBID_WILDCARD, ORTE_VPID_WILDCARD}
orte_process_name_t | orte_name_invalid = {ORTE_JOBID_INVALID, ORTE_VPID_INVALID}
const char | orte_version_string [] = ORTE_IDENT_STRING
| version string of ompi

## Function Documentation

int orte_init | ( | int * | pargc,
|  | char *** | pargv,
|  | orte_proc_type_t | flags
| ) |  |

Initialize the Open Run Time Environment.

Initlize the Open Run Time Environment, including process control, malloc debugging and threads, and out of band messaging. This function should be called exactly once. This function should be called by every application using the RTE interface, including MPI applications and mpirun.

Parameters

  pargc | Pointer to the number of arguments in the pargv array
  pargv | The list of arguments.
  flags | Whether we are ORTE tool or not

References opal_init(), orte_ess_base_open(), orte_ess_base_select(), orte_initialized, orte_locks_init(), orte_process_info, orte_register_params(), orte_show_help(), orte_show_help_init(), and orte_proc_info_t::proc_type.

Referenced by ompi_mpi_init().